.jeecg-app-logo[data-v-97011e62] {
  display: flex;
  align-items: center;
  padding-left: 7px;
  cursor: pointer;
  transition: all 0.2s ease;
}
.jeecg-app-logo.jeecg-layout-mix-sider-logo[data-v-97011e62],
.jeecg-app-logo.jeecg-layout-menu-logo[data-v-97011e62] {
  background: var(--sider-logo-bg-color);
}
.jeecg-app-logo.collapsed-show-title[data-v-97011e62] {
  padding-left: 20px;
}
.jeecg-app-logo.light .jeecg-app-logo__title[data-v-97011e62] {
  color: #1890ff;
}
.jeecg-app-logo.dark .jeecg-app-logo__title[data-v-97011e62] {
  color: #fff;
}
.jeecg-app-logo__title[data-v-97011e62] {
  font-size: 18px;
  font-weight: 600;
  transition: all 0.5s;
  line-height: normal;
}
.jeecg-svg-icon[data-v-768cf1ff] {
  display: inline-block;
  overflow: hidden;
  vertical-align: -0.15em;
  fill: currentColor;
}
.svg-icon-spin[data-v-768cf1ff] {
  animation: loadingCircle 1s infinite linear;
}
.app-iconify {
  display: inline-block;
}
.app-iconify-spin svg {
  animation: loadingCircle 1s infinite linear;
}
span.iconify {
  display: block;
  min-width: 1em;
  min-height: 1em;
  background-color: #5551;
  border-radius: 100%;
}
ul li[data-v-376d2b78] {
  width: 32px;
  height: 32px;
  float: left;
  display: flex;
  margin: 6px;
}
ul span[data-v-376d2b78] {
  font-size: 1.5rem !important;
  padding: 0.2rem;
  margin: 0.3rem;
}
.icon-border[data-v-376d2b78] {
  border: 1px solid rgba(24, 144, 255) !important;
}
.justify-content-right[data-v-376d2b78] {
  justify-content: right;
}
.jeecg-icon-picker .ant-input:not([disabled]) {
  cursor: pointer;
}
.jeecg-icon-picker .ant-input-group-addon {
  padding: 0;
}
.jeecg-icon-picker-popover {
  width: 400px;
}
.jeecg-icon-picker-popover .ant-popover-inner-content {
  padding: 0;
}
.jeecg-icon-picker-popover .scrollbar {
  height: 220px;
}
.jeecg-icon-picker .menu-current-close {
  color: #cccccc;
}
[data-theme='dark'] .jeecg-icon-picker .menu-current-close {
  color: #4f4f4f;
  font-size: 12px;
}
.jeecg-app-search-footer[data-v-2364abb7] {
  position: relative;
  display: flex;
  height: 44px;
  padding: 0 16px;
  font-size: 12px;
  color: #666;
  background-color: #ffffff;
  border-top: 1px solid #d9d9d9;
  border-radius: 0 0 16px 16px;
  align-items: center;
  flex-shrink: 0;
}
.jeecg-app-search-footer-item[data-v-2364abb7] {
  display: flex;
  width: 20px;
  height: 18px;
  padding-bottom: 2px;
  margin-right: 0.4em;
  background-color: linear-gradient(-225deg, #d5dbe4, #f8f8f8);
  border-radius: 2px;
  box-shadow: inset 0 -2px 0 0 #cdcde6, inset 0 0 1px 1px #fff, 0 1px 2px 1px rgba(30, 35, 90, 0.4);
  align-items: center;
  justify-content: center;
}
.jeecg-app-search-footer-item[data-v-2364abb7]:nth-child(2),
.jeecg-app-search-footer-item[data-v-2364abb7]:nth-child(3),
.jeecg-app-search-footer-item[data-v-2364abb7]:nth-child(6) {
  margin-left: 14px;
}
.jeecg-app-search-modal[data-v-5bd87c54] {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 800;
  display: flex;
  width: 100%;
  height: 100%;
  padding-top: 50px;
  background-color: rgba(0, 0, 0, 0.25);
  justify-content: center;
}
.jeecg-app-search-modal--mobile[data-v-5bd87c54] {
  padding: 0;
}
.jeecg-app-search-modal--mobile > div[data-v-5bd87c54] {
  width: 100%;
}
.jeecg-app-search-modal--mobile .jeecg-app-search-modal-input[data-v-5bd87c54] {
  width: calc(100% - 38px);
}
.jeecg-app-search-modal--mobile .jeecg-app-search-modal-cancel[data-v-5bd87c54] {
  display: inline-block;
}
.jeecg-app-search-modal--mobile .jeecg-app-search-modal-content[data-v-5bd87c54] {
  width: 100%;
  height: 100%;
  border-radius: 0;
}
.jeecg-app-search-modal--mobile .jeecg-app-search-footer[data-v-5bd87c54] {
  display: none;
}
.jeecg-app-search-modal--mobile .jeecg-app-search-modal-list[data-v-5bd87c54] {
  height: calc(100% - 80px);
  max-height: unset;
}
.jeecg-app-search-modal--mobile .jeecg-app-search-modal-list__item-enter[data-v-5bd87c54] {
  opacity: 0 !important;
}
.jeecg-app-search-modal-content[data-v-5bd87c54] {
  position: relative;
  width: 632px;
  margin: 0 auto auto auto;
  background-color: #ffffff;
  border-radius: 16px;
  box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
  flex-direction: column;
}
.jeecg-app-search-modal-input__wrapper[data-v-5bd87c54] {
  display: flex;
  padding: 14px 14px 0 14px;
  justify-content: space-between;
  align-items: center;
}
.jeecg-app-search-modal-input[data-v-5bd87c54] {
  width: 100%;
  height: 48px;
  font-size: 1.3em;
  color: #1c1e21;
  border-radius: 6px;
}
.jeecg-app-search-modal-input span[role='img'][data-v-5bd87c54] {
  color: #999;
}
.jeecg-app-search-modal-cancel[data-v-5bd87c54] {
  display: none;
  font-size: 1em;
  color: #666;
}
.jeecg-app-search-modal-not-data[data-v-5bd87c54] {
  display: flex;
  width: 100%;
  height: 100px;
  font-size: 0.9;
  color: #969faf;
  align-items: center;
  justify-content: center;
}
.jeecg-app-search-modal-list[data-v-5bd87c54] {
  max-height: 472px;
  padding: 0 14px;
  padding-bottom: 20px;
  margin: 0 auto;
  margin-top: 14px;
  overflow: auto;
}
.jeecg-app-search-modal-list__item[data-v-5bd87c54] {
  position: relative;
  display: flex;
  width: 100%;
  height: 56px;
  padding-bottom: 4px;
  padding-left: 14px;
  margin-top: 8px;
  font-size: 14px;
  color: rgba(0, 0, 0, 0.88);
  cursor: pointer;
  border-radius: 4px;
  box-shadow: 0 1px 3px 0 #d4d9e1;
  align-items: center;
}
.jeecg-app-search-modal-list__item > div[data-v-5bd87c54]:first-child,
.jeecg-app-search-modal-list__item > div[data-v-5bd87c54]:last-child {
  display: flex;
  align-items: center;
}
.jeecg-app-search-modal-list__item--active[data-v-5bd87c54] {
  color: #fff;
  background-color: #1890ff;
}
.jeecg-app-search-modal-list__item--active .jeecg-app-search-modal-list__item-enter[data-v-5bd87c54] {
  opacity: 1;
}
.jeecg-app-search-modal-list__item-icon[data-v-5bd87c54] {
  width: 30px;
}
.jeecg-app-search-modal-list__item-text[data-v-5bd87c54] {
  flex: 1;
}
.jeecg-app-search-modal-list__item-enter[data-v-5bd87c54] {
  width: 30px;
  opacity: 0;
}
.jeecg-basic-dropdown-menu .ant-dropdown-menu-item.is-pop-confirm {
  padding: 0;
}
.jeecg-basic-dropdown-menu .ant-dropdown-menu-item.is-pop-confirm .dropdown-event-area {
  padding: 5px 12px;
}
.app-locale-picker-overlay .ant-dropdown-menu-item {
  min-width: 160px;
}
html[data-theme='dark'] .jeecg-dark-switch[data-v-5e00a6b4] {
  border: 1px solid #c4bcbc;
}
.jeecg-dark-switch[data-v-5e00a6b4] {
  position: relative;
  display: flex;
  width: 50px;
  height: 26px;
  padding: 0 6px;
  margin-left: auto;
  cursor: pointer;
  background-color: #151515;
  border-radius: 30px;
  justify-content: space-between;
  align-items: center;
}
.jeecg-dark-switch-inner[data-v-5e00a6b4] {
  position: absolute;
  z-index: 1;
  width: 18px;
  height: 18px;
  background-color: #fff;
  border-radius: 50%;
  transition: transform 0.5s, background-color 0.5s;
  will-change: transform;
}
.jeecg-dark-switch--dark .jeecg-dark-switch-inner[data-v-5e00a6b4] {
  transform: translateX(calc(100% + 2px));
}
